Replaces all the labels of an Instance.

### HTTP request

`PATCH https://notebooks.googleapis.com/v1/{name}:setLabels`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `notebooks.instances.setLabels` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "labels": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `labels` | `map (key: string, value: string)` Labels to apply to this instance. These can be later modified by the setLabels method An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).